---
title: PresentationConnectionAvailableEvent
slug: Web/API/PresentationConnectionAvailableEvent
tags:
  - API
  - Experimental
  - Presentation API
  - PresentationConnectionAvailableEvent
  - PresentationRequest
  - Reference
  - events
---
<p>{{SeeCompatTable}}{{securecontext_header}}{{DefaultAPISidebar("Presentation API")}}</p>

<p>The <strong><code>PresentationConnectionAvailableEvent</code></strong> interface of the <a href="/Web/API/Presentation_API">Presentation API</a> is fired on a {{domxref("PresentationRequest")}} when a connection associated with the object is created.</p>

<p>A <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-firing-an-event">fires</a> a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-trusted-event">trusted event</a> named <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-connectionavailable"><code>connectionavailable</code></a> on a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationrequest"><code>PresentationRequest</code></a> when a connection associated with the object is created. It is fired at the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationrequest"><code>PresentationRequest</code></a> instance, using the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnectionavailableevent"><code>PresentationConnectionAvailableEvent</code></a> interface, with the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnectionavailableevent-connection"><code>connection</code></a> attribute set to the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnection"><code>PresentationConnection</code></a> object that was created. The event is fired for each connection that is created for the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controller">controller</a>, either by the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controller">controller</a> calling <code>start()</code> or <code>reconnect()</code>, or by the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-controlling-user-agent">controlling user agent</a> creating a connection on the controller's behalf via <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dom-presentation-defaultrequest"><code>defaultRequest</code></a>.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PresentationConnectionAvailableEvent.PresentationConnectionAvailableEvent", "PresentationConnectionAvailableEvent()")}}</dt>
 <dd>Creates a new PresentationConnectionAvailableEvent.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("PresentationConnectionAvailableEvent.connection")}} {{readonlyinline}}</dt>
 <dd>Returns a references to the {{domxref("PresentationConnection")}} object that fired the event.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#interface-presentationconnectionavailableevent','PresentationConnectionAvailableEvent interface')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationConnectionAvailableEvent")}}</p>
